let ave_app = ( function($){
    'use strict';

    let $window = $(window),
        $windowWidth          = $window.width(),
        $windowHeight         = $window.height(),
        $pageHeight           = $( '#page' ).outerHeight(),
        $containerWidth       = $( '.uk-container' ).width(),
        $adminbarHeight       = $windowWidth > 782? 32:46,
        $hideTimer;

    $window.load(function($) {
        // load js when page loading
        ave_app.load($);
    });

    $window.resize(function() {
        // resize page
        $windowWidth          = $window.width();
        $windowHeight         = $window.height();
        $pageHeight           = $( '#page' ).outerHeight();
        $containerWidth       = $( '.uk-container' ).width();
    });

    $( document ).ready(function($){
        // load js when document is ready
        ave_app.init($);
    });

    return {
        init: function () {
            this.menu();
            this.mobile_menu();
        },
        load: function () {
        },
        overlay: function() {
            let $overlay = $('.overlay');
            if ( !$overlay.hasClass( 'show' ) ) {
                $overlay.addClass( 'show' );
            } else {
                $overlay.removeClass( 'show' );
            }
        },
        menu: function() {
            $('.sf-menu').superfish({
                delay: 50,
                popUpSelector: '.sub-menu,.children',
                hoverClass: 'selected',
                speed: 100,
                speedOut: 300,
                autoArrows: false,
                disableHI: true,
                animation: {opacity: 'show'},
                animationOut: {opacity: 'hide'}
            });

            // Add active class for menu item
            $( '.current-menu-item, .current-menu-parent, .current-page-ancestor' ).addClass( 'active' );
        },
        mobile_menu: function() {
            let $toggle = $('.mobile-burger-toggle'),
                $toggle_close = $('.mobile-burger-toggle-close'),
                $overlay = $('#page > .overlay'),
                $open_element = $('.mobile-content');

            $toggle.on('click', function(e) {
                e.preventDefault();
                clearTimeout($hideTimer);
                ave_app.overlay();
                if ( !$(this).hasClass( 'open' ) ) {
                    $(this).addClass( 'open' );
                    $open_element.addClass('show');
                    $overlay.addClass('not-scroll');
                    $('html,body').addClass('not-scroll');
                } else {
                    $(this).removeClass( 'open' );
                    $overlay.removeClass('not-scroll');
                    $('html,body').removeClass('not-scroll');
                    $open_element.removeClass('show');
                }
            });

            // Close
            $toggle_close.on('click', function(e) {
                e.preventDefault();
                ave_app.overlay();
                $toggle.removeClass( 'open' );
                $overlay.removeClass('not-scroll');
                $('html,body').removeClass('not-scroll');
                $open_element.removeClass('show');
            });
        }
    };

}( jQuery ));