<?php
/**
 * @template Comments
 * @package WordPress
 * @subpackage AveTheme
 * @since 1.0.0
 */
?>
<?php if ( post_password_required() ) : ?>
    <p class="nopassword uk-alert-danger"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.', 'ave-lite'); ?></p>
<?php return; endif; ?>

<div id="comments" class="comments-area">

    <?php if ( have_comments() ) : ?>

        <h2 id="comments-title">
            <span>
			<?php
            $comments_number = get_comments_number();
            if($comments_number > '1') {
                printf( esc_html__( '%1$s Comments', 'ave-lite' ), $comments_number );
            } elseif($comments_number == '1') {
                echo esc_html__( '1 Comment', 'ave-lite' );
            } else {
                echo esc_html__( 'Add Comment', 'ave-lite' );
            }
            ?>
            </span>
        </h2>

        <ol class="comment-list uk-comment-list">
            <?php
                wp_list_comments( array(
                    'avatar_size'  => 100,
                    'style'        => 'ul',
                    'type'         => 'comment',
                    'callback'     => 'ave_lite_get_comments_list',
                    'short_ping'   => false
                ) );
            ?>
        </ol>

        <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
            <div class="paginate-comments uk-pagination uk-flex-center">
                <?php
                paginate_comments_links( array(
                    'prev_text'       => esc_html__( '&laquo;', 'ave-lite' ),
                    'next_text'       => esc_html__( '&raquo;', 'ave-lite' )
                ) );
                ?>
            </div>
        <?php endif; ?>

    <?php endif; ?>

    <?php
	$fields     = array();
	$commenter  = wp_get_current_commenter();
	$req        = get_option( 'require_name_email' );
	$req_class  = ( $req ? " required" : '' );
	$aria_req   = ( $req ? " aria-required='true'" : '' );

	$fields['begin_row'] = '<div class="comment-fields">';
	$fields['author'] = '
				<div class="comment-form-author comment-field' . $req_class . '">
					<input id="author" name="author" type="text" class="uk-input" placeholder="' . esc_html__( 'Name', 'ave-lite' ) . '" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" ' . $aria_req . ' />
				</div>
			';

	$fields['email'] = '
				<div class="comment-form-email comment-field' . $req_class . '">
					<input id="email" name="email" type="text" class="uk-input" placeholder="' . esc_html__( 'Email', 'ave-lite' ) . '" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30" ' . $aria_req . ' />
				</div>
			';

	$fields['url'] = '
				<div class="comment-form-url comment-field">
					<input id="url" name="url" type="text" class="uk-input" placeholder="' . esc_html__( 'Url', 'ave-lite' ) . '" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />
				</div>
			';
	$fields['end_row'] = '</div>';

    $args = array(
        'title_reply_before'   => '<h3 id="reply-title" class="comment-reply-title"><span>',
        'title_reply_after'    => '</span></h3>',
        'cancel_reply_link'       => '<span class="cancel-reply-link">'. esc_html__('Cancel', 'ave-lite') . '</span>',
        'fields'                  => $fields,
        'comment_field'           => '<div class="comment-form-content comment-field">
				<textarea id="comment" class="comment-form-content uk-textarea" name="comment" rows="5"></textarea>
				</div>',
        'comment_notes_before'    => '',
        'comment_notes_after'     => '',
        'class_submit'            => 'comment-submit submit uk-button uk-button-default',
        'label_submit'            => esc_html__('Submit Comment', 'ave-lite')
    );
    comment_form( apply_filters( 'ave_lite_get_comment_fields', $args ) );
	?>

</div>