<?php
/**
 * @package WordPress
 * @subpackage AveTheme
 * @since 1.0.0
 */
if ( ! class_exists( 'AveLite' ) )
{

    final class AveLite
    {

        private static $instance;

        public static function instance()
        {
            if ( is_null( self::$instance ) ) {
                self::$instance = new self();
                self::$instance->setup_constants();
                self::$instance->includes();
            }
            return self::$instance;
        }

        private function setup_constants()
        {
            define( 'AVELITE_THEME_PATH', get_template_directory() );
            define( 'AVELITE_THEME_URL', get_template_directory_uri() );
            define( 'AVELITE_AUTHOR_NAME', 'AveTheme' );
            define( 'AVELITE_THEME_NAME', 'AveLite' );
            define( 'AVELITE_THEME_SLUG', 'ave-lite' );
            define( 'AVELITE_THEME_PREFIX', '_ave_lite_' );
            define( 'AVELITE_THEME_VERSION', '1.0' );
            define( 'AVELITE_CHILD_THEME_PATH', get_stylesheet_directory() );
            define( 'AVELITE_CHILD_THEME_URL', get_stylesheet_directory_uri() );
        }

        private function includes()
        {
            include_once( 'includes/walkers/walker-social-menu.php' );
            include_once( 'includes/classes/class-enqueue.php' );
            include_once( 'includes/functions/theme.php' );
            include_once( 'includes/functions/template.php' );
            include_once( 'includes/functions/helps.php' );
        }

        private function is_request( $type )
        {
            switch ( $type ) {
                case 'admin' :
                    return is_admin();
                case 'ajax' :
                    return defined( 'DOING_AJAX' );
                case 'cron' :
                    return defined( 'DOING_CRON' );
                case 'frontend' :
                    return ( ! is_admin() || defined( 'DOING_AJAX' ) ) && ! defined( 'DOING_CRON' );
                case 'customize_preview' :
                    return is_customize_preview();
                default :
                    return '';
            }
        }
    }

}

return AveLite::instance();