<?php
/**
 * @template Header
 * @package WordPress
 * @subpackage AveTheme
 * @since 1.0.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page">
    <header class="site-header">
        <div class="header header-style-default" uk-sticky="show-on-up: true; animation: uk-animation-slide-top; bottom: true">
            <div class="header-inner">
                <div class="uk-container">
                    <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
                        <div class="uk-navbar-left">
                            <?php get_template_part( 'template-parts/logo' ); ?>
                        </div>
                        <div class="uk-navbar-center">
                            <ul class="top-menu uk-navbar-nav sf-menu">
                                <?php
                                if ( has_nav_menu('top-main-menu') ) {
                                    $args = array(
                                        'container'        => '',
                                        'items_wrap'       => '%3$s',
                                        'depth'            => 3,
                                        'echo'             => false,
                                        'theme_location'   => 'top-main-menu'
                                    );
                                    echo wp_nav_menu($args);
                                } else {
                                    $args = array(
                                        'title_li'         => '0',
                                        'sort_column'      => 'menu_order',
                                        'depth'            => 2
                                    );
                                    wp_list_pages($args);
                                }
                                ?>
                            </ul>
                        </div>
                        <div class="uk-navbar-right">
                            <div class="top-social-menu">
                                <?php get_template_part( 'template-parts/top-social-menu' ); ?>
                            </div>
                        </div>
                    </nav>
                </div>
            </div>
        </div>
        <div class="mobile-header" uk-sticky="show-on-up: true; animation: uk-animation-slide-top; bottom: true">
            <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
                <div class="uk-navbar-left">
                    <?php get_template_part( 'template-parts/logo' ); ?>
                </div>
                <div class="uk-navbar-right">
                    <button type="button" class="uk-button uk-button-link mobile-burger mobile-burger-toggle">
                        <span class="mobile-burger-icon">
                            <span class="mobile-burger-icon-line"></span>
                            <span class="mobile-burger-icon-line"></span>
                            <span class="mobile-burger-icon-line"></span>
                        </span>
                    </button>
                </div>
            </nav>
        </div>
    </header>

    <section id="site-main" uk-height-viewport="offset-top: true; offset-bottom: true">
        <?php get_template_part( 'template-parts/page-header' ); ?>
        <div class="uk-container">

