<?php
/**
 * Push Content Menu
 * @package WordPress
 * @subpackage AveTheme
 * @since 1.0.0
 */
if ( !class_exists('Ave_Lite_Walker_Social_Menu') )
{
    class Ave_Lite_Walker_Social_Menu extends Walker_Nav_Menu
    {
        function get_social() {
            $social = array(
                '500px'        => array(
                    'url'   => '500px.com',
                    'icon'  => '500px',
                    'name'  => esc_html__( '500px', 'ave-lite' )
                ),
                'behance'          => array(
                    'url'   => 'behance.com',
                    'icon'  => 'behance',
                    'name'  => esc_html__( 'Behance', 'ave-lite' )
                ),
                'blogger'          => array(
                    'url'   => 'blogger.com',
                    'icon'  => 'blogger',
                    'name'  => esc_html__( 'Blogger', 'ave-lite' )
                ),
                'dribbble'          => array(
                    'url'   => 'dribbble.com',
                    'icon'  => 'dribbble',
                    'name'  => esc_html__( 'Dribbble', 'ave-lite' )
                ),
                'facebook'          => array(
                    'url'   => 'facebook.com',
                    'icon'  => 'facebook',
                    'name'  => esc_html__( 'Facebook', 'ave-lite' )
                ),
                'flipboard'          => array(
                    'url'   => 'flipboard.com',
                    'icon'  => 'flipboard',
                    'name'  => esc_html__( 'Flipboard', 'ave-lite' )
                ),
                'foursquare'          => array(
                    'url'   => 'foursquare.com',
                    'icon'  => 'foursquare',
                    'name'  => esc_html__( 'Foursquare', 'ave-lite' )
                ),
                'git'          => array(
                    'url'   => 'github.com',
                    'icon'  => 'git',
                    'name'  => esc_html__( 'Git', 'ave-lite' )
                ),
                'google-plus'          => array(
                    'url'   => 'plus.google.com',
                    'icon'  => 'google-plus',
                    'name'  => esc_html__( 'Google+', 'ave-lite' )
                ),
                'instagram'     => array(
                    'url'   => 'instagram.com',
                    'icon'  => 'instagram',
                    'name'  => esc_html__( 'Instagram', 'ave-lite' )
                ),
                'lastfm'        => array(
                    'url'   => 'last.fm',
                    'icon'  => 'lastfm',
                    'name'  => esc_html__( 'Lastfm', 'ave-lite' )
                ),
                'linkedin'        => array(
                    'url'   => 'linkedin.com',
                    'icon'  => 'linkedin',
                    'name'  => esc_html__( 'Linkedin', 'ave-lite' )
                ),
                'pinterest'        => array(
                    'url'   => 'pinterest.com',
                    'icon'  => 'pinterest',
                    'name'  => esc_html__( 'Pinterest', 'ave-lite' )
                ),
                'stumbleupon'        => array(
                    'url'   => 'stumbleupon.com',
                    'icon'  => 'stumbleupon',
                    'name'  => esc_html__( 'Stumbleupon', 'ave-lite' )
                ),
                'tumblr'        => array(
                    'url'   => 'tumblr.com',
                    'icon'  => 'tumblr',
                    'name'  => esc_html__( 'Tumblr', 'ave-lite' )
                ),
                'twitter'        => array(
                    'url'   => 'twitter.com',
                    'icon'  => 'twitter',
                    'name'  => esc_html__( 'Twitter', 'ave-lite' )
                ),
                'vimeo'        => array(
                    'url'   => 'vimeo.com',
                    'icon'  => 'vimeo',
                    'name'  => esc_html__( 'Vimeo', 'ave-lite' )
                ),
                'yelp'        => array(
                    'url'   => 'yelp.com',
                    'icon'  => 'yelp',
                    'name'  => esc_html__( 'Yelp', 'ave-lite' )
                ),
                'youtube'        => array(
                    'url'   => 'youtube.com',
                    'icon'  => 'youtube',
                    'name'  => esc_html__( 'Youtube', 'ave-lite' )
                )
            );

            return $social;
        }

        function get_validate_social( $url, $social_icons=array(), $icon=false ) {
            $url          = parse_url( $url );
            $base         = str_replace( 'www.', '', isset( $url['host'] )? $url['host']:'' );

            if ( $social_icons ) {
                foreach( $social_icons as $key => $value ) {
                    if ( $base == $value['url'] ) {
                        $icon = $value['icon'];
                    }
                }
            }

            return $icon;
        }

        function start_lvl( &$output, $depth = 0, $args = array() ) {
            $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' );
            $classes = array(
                'sub-menu'
            );
            $class_names = implode( ' ', $classes );

            $output .= "\n" . $indent . '<ul class="' . $class_names . '">' . "\n";
        }

        function start_el(  &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
            $icon_args = $this->get_social();
            $icon      = $this->get_validate_social( $item->url, $icon_args );
            $icon      = $icon==false? '':$icon;
            $icon_title = $icon==false? '':$icon_args[$icon]['name'];
            $indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' );
            $output .= $indent . '<li class="item-'.$icon.'">';
            $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : ' title="'  . esc_attr( $icon_title ) .'"';
            $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
            $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
            $attributes .= ! empty( $item->url )        ? ' href="'   . esc_url( $item->url        ) .'"' : '';

            $item_output = sprintf( '%1$s<a%2$s>%3$s%4$s%5$s</a>%6$s',
                $args->before,
                $attributes,
                $args->link_before,
                '<span class="icon icon-'. $icon .'"></span><span class="icon-title">' . $icon_title . '</span>',
                $args->link_after,
                $args->after
            );
            $output .= $item_output;
        }
    }
}