<?php
/**
 * @template Single
 * @package WordPress
 * @subpackage AveTheme
 * @since 1.0.0
 */
?>
<?php get_header(); ?>

<div class="main uk-grid-large" uk-grid>

    <main id="primary" class="content-area uk-width-1-1 uk-width-expand@m">

        <?php

        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            get_template_part( 'template-parts/loop-content' );

            if ( $tags = get_the_tag_list( '', ', ' ) ) {
                echo '<div class="entry-tags">';
                echo '<span>' . esc_html__( 'Tags:', 'ave-lite' ) . '</span>';
                echo $tags;
                echo '</div>';
            }

            if ( is_singular( 'attachment' ) ) {
                // Parent post navigation.
                the_post_navigation(
                    array(
                        'prev_text' => _x( '<span class="meta-nav">Published in</span><br/><span class="post-title">%title</span>', 'Parent post link', 'ave-lite' ),
                    )
                );
            } elseif ( is_singular( 'post' ) ) {
                // Previous/next post navigation.
                the_post_navigation(
                    array(
                        'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next Post', 'ave-lite' ) . '</span> ' .
                            '<span class="screen-reader-text">' . __( 'Next post:', 'ave-lite' ) . '</span> <br/>' .
                            '<span class="post-title">%title</span>',
                        'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous Post', 'ave-lite' ) . '</span> ' .
                            '<span class="screen-reader-text">' . __( 'Previous post:', 'ave-lite' ) . '</span> <br/>' .
                            '<span class="post-title">%title</span>',
                    )
                );
            }

            // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }

        endwhile; // End of the loop.
        ?>

    </main><!-- .site-main -->

    <?php get_sidebar(); ?>

</div>

<?php get_footer(); ?>
