<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <?php if ( !is_sticky() ) : ?>
            <div class="entry-meta entry-meta-top">
                <div class="entry-time"><?php echo ave_lite_get_post_time(); ?></div>
                <div class="entry-edit"><?php ave_lite_edit_link(); ?></div>
            </div>
        <?php else : ?>
            <div class="entry-sticky">
                <span class="uk-badge badge"><?php esc_html_e( 'Sticky', 'ave-lite' ); ?></span>
            </div>
        <?php endif; ?>
        <h2 class="entry-title">
            <a href="<?php echo esc_url( get_permalink() ); ?>">
                <?php the_title(); ?>
            </a>
        </h2>
        <div class="entry-meta entry-meta-bottom">
            <?php if ( $categories = ave_lite_get_categories_list() ) : ?>
                <div class="entry-categories"><?php echo $categories; ?></div>
            <?php endif; ?>
            <div class="entry-comments"><?php echo ave_lite_get_post_comments(); ?></div>
        </div>
    </header>
    <div class="entry-content">
        <?php
        if ( has_post_thumbnail() ) {
            the_post_thumbnail( 'full' );
        }
        the_content(
            sprintf(
                wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                    __( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'ave-lite' ),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                get_the_title()
            )
        );

        wp_link_pages(
            array(
                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ave-lite' ),
                'after'  => '</div>',
            )
        );
        ?>
    </div><!-- .entry-content -->
</article>